package com.cpic.xim.config;

import java.util.Objects;

public class CpicxmStuff
{
    public CpicxmStuff() {};

    public String getStuffName()
    {
        return stuffName;
    }

    public void setStuffName( String stuffName )
    {
        this.stuffName = stuffName;
    }

    public String getMobilePhone()
    {
        return mobilePhone;
    }

    public void setMobilePhone( String mobilePhone )
    {
        this.mobilePhone = mobilePhone;
    }

    @Override
    public boolean equals( Object o )
    {
        if ( this == o )
        {
            return true;
        }
        if ( !( o instanceof CpicxmStuff ) )
        {
            return false;
        }
        CpicxmStuff that = (CpicxmStuff) o;
        return stuffName.equals( that.stuffName ) && mobilePhone.equals( that.mobilePhone );
    }

    @Override
    public int hashCode()
    {
        return Objects.hash( stuffName, mobilePhone );
    }

    private String stuffName;
    private String mobilePhone;
}
